import arcpy  # change me

arcpy.env.overwriteOutput = True
arcpy.env.workspace = 'C:/gispy/scratch' # change me
distance = '0.2 miles' # change me

outDir = arcpy.env.workspace + '/BufferOutput/'

if not os.path.exists(outDir):
    os.mkdir(outDir)

fcs = arcpy.ListFeatureClasses()
outList =[]
for fc in fcs:
    print 'Processing: ' + fc
    output = outDir + fc[:-4] + '_buff.shp'
    try:
        arcpy.Buffer_analysis(fc, output, distance)
        print 'Created ' + output
        outList.append(output)
    except:
        print arcpy.GetMessages()
    
results = ";".join(outList)

arcpy.SetParameterAsText(0, results) # change me
